import type { IRgb, IRgba, IHsl, IHsla, IHsv, IHsva } from "../Interfaces/Colors";
export declare class ColorUtils {
    static rgbToHsl(color: IRgb): IHsl;
    static stringToAlpha(input: string): number | undefined;
    static stringToRgb(input: string): IRgb | undefined;
    static hslToRgb(hsl: IHsl): IRgb;
    static hslaToRgba(hsla: IHsla): IRgba;
    static hslToHsv(hsl: IHsl): IHsv;
    static hslaToHsva(hsla: IHsla): IHsva;
    static hsvToHsl(hsv: IHsv): IHsl;
    static hsvaToHsla(hsva: IHsva): IHsla;
    static hsvToRgb(hsv: IHsv): IRgb;
    static hsvaToRgba(hsva: IHsva): IRgba;
    static rgbToHsv(rgb: IRgb): IHsv;
    static rgbaToHsva(rgba: IRgba): IHsva;
    static getRandomRgbColor(min?: number): IRgb;
    static getStyleFromRgb(color: IRgb, opacity?: number): string;
    static getStyleFromHsl(color: IHsl, opacity?: number): string;
    static getStyleFromHsv(color: IHsv, opacity?: number): string;
    static mix(color1: IRgb | IHsl, color2: IRgb | IHsl, size1: number, size2: number): IRgb;
    private static hue2rgb;
    private static stringToRgba;
}
